package com.sun.jmx.snmp.IPAcl;

import java.net.UnknownHostException;

class JDMNetMask extends Host
{
    private static final long serialVersionUID = -1979318280250821787L;
    protected StringBuffer address;
    protected String mask;
    
    public JDMNetMask(int n) {
        super(n);
        this.address = new StringBuffer();
        this.mask = null;
    }
    
    public JDMNetMask(Parser parser, int n) {
        super(parser, n);
        this.address = new StringBuffer();
        this.mask = null;
    }
    
    public static Node jjtCreate(int n) {
        return new JDMNetMask(n);
    }
    
    public static Node jjtCreate(Parser parser, int n) {
        return new JDMNetMask(parser, n);
    }
    
    @Override
    protected String getHname() {
        return this.address.toString();
    }
    
    @Override
    protected PrincipalImpl createAssociatedPrincipal() throws UnknownHostException {
        return new NetMaskImpl(this.address.toString(), Integer.parseInt(this.mask));
    }
}
